View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012318ParaView(No Category)public2011-06-27 09:112012-02-08 17:27
ReporterTakuya OSHIMA 
Assigned ToKyle Lutz 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionDevelopment 
Target VersionFixed in Version3.12 
Summary0012318: OpenFOAM reader error in parsing keywords "uniform" and "nonuniform"
DescriptionOpening rivuletPanel.foam in the attached archive will result in

ERROR: In /Volumes/RAID0data/paraview/ParaView/VTK/IO/vtkOpenFOAMReader.cxx, line 7374
vtkOpenFOAMReaderPrivate (0x1178b8170): Error reading line 46 of /Volumes/RAID0data/VMs/VMShare/rivuletPanel/constant/polyMesh/boundary: Unsupported nonuniform list type ;
TagsNo tags attached.
ProjectKitware
Topic Name12318-fix-openfoam-keywords
Typeincorrect functionality
Attached Filesgz file icon rivuletPanel.tar.gz [^] (1,917,204 bytes) 2011-06-27 09:11
diff file icon vtkOpenFOAMReader-parserFix.diff [^] (2,725 bytes) 2011-06-27 09:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0026897)
Takuya OSHIMA (reporter)
2011-06-27 09:12

Also attached is a proposed fix.
(0026994)
Kyle Lutz (viewer)
2011-07-12 13:07

Merge topic '12318-fix-openfoam-keywords' into next

de7e357 Merge topic '12348-fix-surface-filter-memory-leak' into 12318-fix-openfoam-keywords
b19e6df Merge topic '12023-read-block-names' into 12318-fix-openfoam-keywords
b394d74 Update VTK to bring in topic '12318-fix-openfoam-keywords'


Merge topic '12318-fix-openfoam-keywords' into pv-next

fdab2d2 Add support for uniform and nonuniform in OpenFOAM reader.
(0026999)
David Partyka (developer)
2011-07-15 14:14

merged into master.
(0027024)
David Partyka (developer)
2011-07-19 16:32

merged into master on 7/15/2011
(0028193)
Utkarsh Ayachit (administrator)
2012-02-08 17:27

Closing bugs sitting in "customer review" for a long time.

- Issue History
Date Modified Username Field Change
2011-06-27 09:11 Takuya OSHIMA New Issue
2011-06-27 09:11 Takuya OSHIMA File Added: rivuletPanel.tar.gz
2011-06-27 09:12 Takuya OSHIMA File Added: vtkOpenFOAMReader-parserFix.diff
2011-06-27 09:12 Takuya OSHIMA Note Added: 0026897
2011-07-12 12:43 Utkarsh Ayachit Assigned To => Kyle Lutz
2011-07-12 12:43 Utkarsh Ayachit Status backlog => todo
2011-07-12 12:55 Kyle Lutz Status todo => active development
2011-07-12 13:07 Kyle Lutz Topic Name => 12318-fix-openfoam-keywords
2011-07-12 13:07 Kyle Lutz Note Added: 0026994
2011-07-12 13:07 Kyle Lutz Status active development => gatekeeper review
2011-07-12 13:07 Kyle Lutz Fixed in Version => 3.12
2011-07-12 13:07 Kyle Lutz Resolution open => fixed
2011-07-15 14:14 David Partyka Note Added: 0026999
2011-07-19 16:32 David Partyka Note Added: 0027023
2011-07-19 16:32 David Partyka Note Deleted: 0027023
2011-07-19 16:32 David Partyka Note Added: 0027024
2011-07-19 16:32 David Partyka Status gatekeeper review => customer review
2011-08-02 14:06 Kyle Lutz Source_changeset_attached => VTK master fdab2d2f
2011-08-02 14:06 Jon Woodring Source_changeset_attached => VTK master 5ff7b695
2012-02-08 17:27 Utkarsh Ayachit Status customer review => closed
2012-02-08 17:27 Utkarsh Ayachit Note Added: 0028193


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker